# gitlab yaml for Lemonade Framework
# builds and publishes in the JFrog Bintray mavne repository

image: gradle:4.10

before_script:
  - echo "$CI_BUILD_NAME, $CI_BUILD_REF_NAME $CI_BUILD_STAGE" # debug
  - export GRADLE_USER_HOME=`pwd`/.gradle

cache:
  paths:
    - .gradle/wrapper
    - .gradle/caches

stages:
  - build
  - test
  - tag
  - deploy

build-job:
  stage: build
  script:
  - echo $PWD
  - ls
  - sh ./gradlew tasks
  - sh ./gradlew build
  artifacts:
    paths:
      - build/libs/*.jar
    expire_in: 1 week

test-job:
  stage: test
  script: 
  - sh ./gradlew check
  - sh ./gradlew jacocoTestReport

tag-job:
  stage: tag
  script: "true"

deploy-job: 
  stage: deploy
  script: 
  - echo $CI_PROJECT_ID
  - sh ./gradlew bintrayUpload
